# Class: ColVis

ColVis

new ColVis(DataTables)

  ColVis provides column visiblity control for DataTables

  ### Constructor

  ##### Parameters:

  | Name | Type | Attributes | Default | Description
  --- | --- | --- | --- | --- | ---
  1 | DataTables | object |  |  | settings object

## Summary

### Properties - static

<static> aInstances :Array

  Collection of all ColVis instances

### Methods - instance

_fnAdjustOpenRows ()

  Alter the colspan on any fnOpen rows

### Methods - static

<static> fnRebuild (object)

  Rebuild the collection for a given table, or all tables if no parameter given

## Details

### Properties - static

<static> aInstances :Array

  Collection of all ColVis instances

  ##### Properties:

  | Name | Type | Attributes | Default | Description
  --- | --- | --- | --- | --- | ---
  1 | ColVis.aInstances |  |  |  |

### Methods - instance

_fnAdjustOpenRows()

  Alter the colspan on any fnOpen rows

### Methods - static

<static> fnRebuild(object)

  Rebuild the collection for a given table, or all tables if no parameter given

  ##### Parameters:

  | Name | Type | Attributes | Default | Description
  --- | --- | --- | --- | --- | ---
  1 | object |  |  |  | oTable DataTable instance to consider - optional

  ##### Returns:

  void